CURLINFO_CONTENT_LENGTH_UPLOAD(3)

NAME
CURLINFO_CONTENT_LENGTH_UPLOAD - get the specified size of the upload

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_CONTENT_LENGTH_UPLOAD,
                           double *content_length);

DESCRIPTION
Pass a pointer to a double to receive the specified size of the upload. Since 7.19.4, this returns -1 if the size is not known. CURLINFO_CONTENT_LENGTH_UPLOAD_T(3) is a newer replacement that returns a more sensible variable type.

PROTOCOLS
All

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode res;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
    /* Perform the upload */
    res = curl_easy_perform(curl);
    if(!res) {
      /* check the size */
      double cl;
      res = curl_easy_getinfo(curl, CURLINFO_CONTENT_LENGTH_UPLOAD, &cl);
      if(!res) {
        printf("Size: %.0f\n", cl);
      }
    }
  }
}

AVAILABILITY
Added in 7.6.1. Deprecated since 7.55.0.

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLINFO_CONTENT_LENGTH_DOWNLOAD_T(3), curl_easy_getinfo(3), curl_easy_setopt(3)